Tenant credential
curl --request GET 'https://api.printools.io/v1/webhooks' \
--header 'X-API-Key: $PRINTOOLS_API_KEY'import requests
url = "https://api.printools.io/v1/webhooks"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.printools.io/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "OK",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventType": "<string>",
"targetUrl": "<string>",
"secretPrefix": "<string>",
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}Webhooks
List this credential’s webhook subscriptions
Requires the scope webhooks.read.
GET
/
v1
/
webhooks
Tenant credential
Required scopes:
webhooks.read.Authorizations
tenantApiKeypartnerApiKey & partnerApiSecret & partnerBearer
Tenant credential. This is sufficient by itself.
Headers
Tenant credential: optional and, when sent, must equal the shop bound to the key. Partner credential: required; it selects an organisation the user previously authorised.
Was this page helpful?

